Company filings
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/filings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/filings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": [
"0001045810"
],
"filings": [
{
"id": 2373706,
"accessionNumber": "0001045810-26-000069",
"filingType": "8-K",
"filingDate": "2026-08-17",
"fileSizeBytes": 178196,
"cik": "0001045810"
},
{
"id": 2181303,
"accessionNumber": "0001045810-26-000065",
"filingType": "13F-HR",
"filingDate": "2026-08-14",
"fileSizeBytes": 6863,
"cik": "0001045810"
},
{
"id": 2067351,
"accessionNumber": "0001310264-26-000008",
"filingType": "4",
"filingDate": "2026-08-12",
"fileSizeBytes": 8258,
"cik": "0001045810"
}
],
"page": 1,
"pageSize": 10,
"totalCount": 2145,
"totalPages": 215,
"typeCounts": {
"3": 24,
"4": 1400,
"5": 25,
"144": 243,
"10-Q": 82,
"10-K/A": 2,
"8-K/A": 5,
"10-Q/A": 2,
"8-K": 241,
"10-K": 25,
"13F-HR": 11,
"5/A": 5,
"10-K405/A": 1,
"S-1/A": 7,
"10-K405": 3,
"144/A": 5,
"S-1": 1,
"DEF 14A": 29,
"4/A": 34
}
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}SEC Filings
Company filings
Paginated SEC filing index.
GET
/
api
/
v1
/
companies
/
{id}
/
filings
Company filings
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Query Parameters
1-based, default 1.
Default 50.
Comma-separated form types, e.g. 10-K,10-Q,8-K.
Response
OK
The response is of type object.
⌘I